Sign inGet started

Update allow/block rule

PATCH
/workspaces/{workspaceId}/conversation-allowblock-rules/{allowBlockRuleId}
Update Allow/Block rule
Verzoek-payload
category
string
type
string
value
string
Antwoord-payload
category
string
verplicht
The category of the AllowBlockRule.
Possible values: all, domain, domain_suffix, email
createdAt
string
verplicht
createdBy
string
verplicht
id
string
verplicht
type
string
verplicht
The type of the AllowBlockRule.
Possible values: allow, reject, suspend
updatedAt
string
verplicht
updatedBy
string
verplicht
value
string
verplicht
workspaceId
string
verplicht
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/conversation-allowblock-rules/{allowBlockRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Codevoorbeeld
curl -X PATCH "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversation-allowblock-rules" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "category": "domain",
  "value": "test.com",
  "type": "reject"
}'